Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.crypt

# Class EncryptionPluginRegistry

java.lang.Object
org.firebirdsql.gds.ng.wire.crypt.EncryptionPluginRegistry

@InternalApi public final class EncryptionPluginRegistry extends Object
Registry of encryption plugins.

Since:
  6
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static EncryptionPluginSpi`
`getEncryptionPluginSpi(EncryptionIdentifier encryptionIdentifier)`
Gets the encryption plugin SPI identified by `encryptionIdentifier`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getEncryptionPluginSpi

public static EncryptionPluginSpi getEncryptionPluginSpi(EncryptionIdentifier encryptionIdentifier)
Gets the encryption plugin SPI identified by `encryptionIdentifier`.

Parameters:
  `encryptionIdentifier` - encryption identifier
Returns:
  the encryption plugin SPI, or `null` if there is no SPI registered for `encryptionIdentifier`